@use "../theme";

.pill {
    padding: 0 theme.$spacing04;
    border: 1px solid theme.$colorPaletteGray300;
    border-radius: theme.$borderRadiusLarge;
    align-items: center;
    font-size: theme.$fontSizeMedium;
    font-weight: theme.$fontWeightRegular;
    line-height: 1;
    padding: theme.$spacing02 theme.$spacing04;
    display: inline-flex;
    color: theme.$colorPaletteGray900;
    position: relative;

    @media only screen and (min-width: theme.$sm) {
        font-size: theme.$fontSizeSmall;
    }

    &--uppercase {
        text-transform: uppercase;
    }

    &--gray {
        border: 1px solid theme.$colorPaletteGray300;
        background-color: theme.$colorPaletteGray200;
        color: black;
    }

    &--white {
        border: 1px solid theme.$colorPaletteGray500;
        background-color: white;
        color: theme.$colorPaletteGray800;
    }


    &--xs {
        font-size: theme.$fontSizeXSmall;
        line-height: 1;
        padding-top: 0.25rem;
        padding-bottom: 0.25rem;
        padding-left: 0.5rem;
        padding-right: 0.5rem;
    }

    &--sm {
        font-size: theme.$fontSizeSmall;
        line-height: 1;
        padding-top: 0.25rem;
        padding-bottom: 0.25rem;
        padding-left: 0.5rem;
        padding-right: 0.5rem;
    }

    &--lg {
        font-size: theme.$fontSizeMedium;
        line-height: 1;
        padding: .5rem 1rem;
        font-weight: normal;
        border-radius: theme.$borderRadiusXLarge;
    }

    &--clickable {
        &:hover {
            border: 1px solid theme.$colorPaletteGray400;
            color: theme.$colorPaletteGray900;
        }

        &:active {
            color: theme.$colorPaletteGray900;
        }
    }

    &__close {
        margin-top: 2px;
        margin-left: theme.$spacing02;
        font-size: theme.$fontSizeMedium;
        letter-spacing: -2px;
    }

    &--square {
        border-radius: theme.$borderRadius;
    }
}

a.pill {
    text-decoration: none;
}
